Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

AEM 6.5 : package org.apache.sling.scripting.jsp.jasper.runtime.JspWriterImpl does not exist

Shivanna
Level 2
Level 2

Hi All,

 

Greetings.

Looks like the above package has been not resolved by AEM 6.5.8 uber-jar like in AEM 6.4.5

So have added the below dependency explicitly but still it is throwing the issue.

Please let me know if any thoughts around this?

 

<dependency>
<artifactId>org.apache.sling.scripting.jsp</artifactId>
<version>2.5.0</version>
<groupId>com.adobe.granite.sling</groupId>
<scope>provided</scope>
</dependency>

 

Thanks & Regards,

Shiva

 

JspWriterImpl
9 Replies
asutosh_jena
Community Advisor
Community Advisor

Hi @Shivanna 

 

I see it avaialble in AEM 6.5.8.0 as part of Apache Sling Scripting JSP Support(org.apache.sling.scripting.jsp) bundle.

asutosh_jena_0-1620122889098.png

 

asutosh_jena
Community Advisor
Community Advisor
Can you post what error you are getting during build?
Shivanna
Level 2
Level 2
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.6.1:testCompile (default-testCompile) on project foundation-base-core: Compilation failure: Compilation failure: [ERROR] /C:/Users/600042713/Documents/signify-aem/workspace-signify/legacy/foundation-base/core/src/test/java/com/philips/webcms/foundation/base/test/tags/MockedJspWriter.java:[8,53] package org.apache.sling.scripting.jsp.jasper.runtime does not exist [ERROR] /C:/Users/600042713/Documents/signify-aem/workspace-signify/legacy/foundation-base/core/src/test/java/com/philips/webcms/foundation/base/test/tags/MockedJspWriter.java:[11,38] cannot find symbol [ERROR] symbol: class JspWriterImpl
asutosh_jena
Community Advisor
Community Advisor

HI @Shivanna 

This was available till 6.4.8.3 whereas after 6.5 it has been removed from the uber jar package.

https://javadoc.io/doc/com.adobe.aem/uber-jar/6.4.8.3/index.html

 

It is available as part of Apache Sling Scripting JSP Support(org.apache.sling.scripting.jsp) bundle.

Shivanna
Level 2
Level 2
@asutosh_jena : Thanks for your insides, really helpful! Yes, this dependency has been removed in 6.5. Also Apache Sling Scripting JSP Support(org.apache.sling.scripting.jsp) bundle do not include package org.apache.sling.scripting.jsp.runtime now. Trying to add the dependency explicitly, hope it will resolve.
Shivanna
Level 2
Level 2
Working Solution : added the above dependency in my poms and synched the dependency jar into nexus from maven central. Thanks to @asutosh_jena for your valuable suggestions.
markus_bulla_adobe
Employee
Employee
Could you please share the complete error message with some context? Are you seeing the error at build time (Maven) or at run time (AEM logs)?
Shivanna
Level 2
Level 2

Found the working Solution!!!

Added the above dependency in my poms and synched the dependency jar into nexus from maven central.

Thank you @markus_bulla_adobe for your response